> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger quality evaluation for selected job parts

> Runs quality evaluation asynchronously. Evaluation is based on the Content Group linked to the project — link one first via POST /api2/v1/projects/{projectUid}/contentGroup. Returns 422 Unprocessable Entity if the project has no Content Group linked. Job parts must belong to the same project, workflow step, and be in a ready state. Linguists may only evaluate job parts assigned to them. lockSegments defaults to true — segments that pass all AI checks are locked after evaluation. confirmSegments defaults to false — segments are not confirmed unless explicitly set to true. Returns an asyncRequest object. Poll GET /api2/v1/async/{asyncRequest.id} until asyncResponse is not null before retrieving results. Once the async job has completed, call POST /api2/v1/qualityProfiles/qeWarnings with the same job part UIDs to retrieve quality warnings.



## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v1/projects/{projectUid}/jobs/evaluateQuality
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/projects/{projectUid}/jobs/evaluateQuality:
    post:
      tags:
        - Job
      summary: Trigger quality evaluation for selected job parts
      description: >-
        Runs quality evaluation asynchronously. Evaluation is based on the
        Content Group linked to the project — link one first via POST
        /api2/v1/projects/{projectUid}/contentGroup. Returns 422 Unprocessable
        Entity if the project has no Content Group linked. Job parts must belong
        to the same project, workflow step, and be in a ready state. Linguists
        may only evaluate job parts assigned to them. lockSegments defaults to
        true — segments that pass all AI checks are locked after evaluation.
        confirmSegments defaults to false — segments are not confirmed unless
        explicitly set to true. Returns an asyncRequest object. Poll GET
        /api2/v1/async/{asyncRequest.id} until asyncResponse is not null before
        retrieving results. Once the async job has completed, call POST
        /api2/v1/qualityProfiles/qeWarnings with the same job part UIDs to
        retrieve quality warnings.
      operationId: evaluateAsync
      parameters:
        - name: projectUid
          in: path
          description: UID of the project
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QualityEvaluationAsyncRequestDtoV1'
        description: Job parts to evaluate with lock and confirm settings
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncRequestDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '422':
          description: Unprocessable Entity
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not Implemented
components:
  schemas:
    QualityEvaluationAsyncRequestDtoV1:
      type: object
      required:
        - jobs
      properties:
        confirmSegments:
          type: boolean
          example: false
          description: >-
            Confirm segments that pass all AI checks. Defaults to false
            (segments are not confirmed).
        jobs:
          type: array
          description: >-
            Job parts to evaluate; 1–50 per request, all from the same project
            and workflow step, and in a ready state.
          items:
            $ref: '#/components/schemas/UidReference'
          maxItems: 50
          minItems: 1
        lockSegments:
          type: boolean
          example: true
          description: >-
            Lock segments that pass all AI checks. Defaults to true (segments
            are locked).
    AsyncRequestDtoV1:
      type: object
      properties:
        action:
          type: string
          enum:
            - PRE_ANALYSE
            - POST_ANALYSE
            - CONTINUOUS_PRE_ANALYSE
            - CONTINUOUS_POST_ANALYSE
            - COMPARE_ANALYSE
            - PARENT_ANALYSE
            - PRE_TRANSLATE
            - ASYNC_TRANSLATE
            - IMPORT_JOB
            - IMPORT_FILE
            - ALIGN
            - EXPORT_TMX_BY_QUERY
            - EXPORT_TMX
            - IMPORT_TMX
            - IMPORT_MXLF_INTO_TM
            - IMPORT_TBX
            - IMPORT_TBX_TB3
            - INSERT_INTO_TM
            - DELETE_TM
            - CLEAR_TM
            - QA
            - QA_V3
            - UPDATE_CONTINUOUS_JOB
            - UPDATE_SOURCE
            - UPDATE_TARGET
            - EXTRACT_CLEANED_TMS
            - GLOSSARY_PUT
            - GLOSSARY_DELETE
            - ASYNC_TRANSLATE_VERIFY
            - CREATE_PROJECT
            - EXPORT_COMPLETE_FILE
            - IMPORT_ANNOTATIONS
            - FILE_FLOW_CONVERTER_IMPORT
            - FILE_FLOW_MT_PRETRANSLATE
            - FILE_FLOW_QUALITY_ESTIMATION
            - AUTO_LQA
            - ADOPT_SEGMENT_DATA
            - ADOPT_SEGMENT_SET_DATA
            - QP_EVALUATION
            - QP_EVALUATION_V2
            - QUALITY_EVALUATION
        asyncResponse:
          $ref: '#/components/schemas/AsyncResponseDtoV1'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        parent:
          $ref: '#/components/schemas/AsyncRequestDtoV1'
        project:
          $ref: '#/components/schemas/A_reference_to_a_project'
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
          example: 3HYnHHLkTPJfMxBCDbPXFe
          description: Unique identifier of the referenced object
      description: Reference to an object by its unique identifier
    AsyncResponseDtoV1:
      type: object
      properties:
        acceptedSegmentsCount:
          type: integer
          format: int64
        dateCreated:
          type: string
          format: date-time
        errorCode:
          type: string
        errorDesc:
          type: string
        errorDetails:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV1'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV1'
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    A_reference_to_a_project:
      type: object
      properties:
        name:
          type: string
          description: Name of the project
        uid:
          type: string
          description: Unique identifier used in API paths
    ErrorDetailDtoV1:
      type: object
      properties:
        args:
          type: object
          description: Related arguments, e.g. number => "hello world"
          additionalProperties:
            type: object
        code:
          type: string
          description: Code, e.g. NOT_FOUND.
        message:
          type: string
          description: Optional human-readable message.
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````